Bug 1935975 - privoxy: Multiple security issues fixed in privoxy 3.0.32 [fedora-all]
Summary: privoxy: Multiple security issues fixed in privoxy 3.0.32 [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: privoxy
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1935974
TreeView+ depends on / blocked
 
Reported: 2021-03-05 20:30 UTC by Pedro Sampaio
Modified: 2021-03-19 19:58 UTC (History)
3 users (show)

Fixed In Version: privoxy-3.0.32-1.fc32 privoxy-3.0.32-1.fc33 privoxy-3.0.32-1.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-10 00:25:30 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-05 20:30:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-03-05 20:30:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1935974,1935975

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-03-05 20:37:47 UTC
FEDORA-2021-250d2ca9e6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-250d2ca9e6

Comment 3 Fedora Update System 2021-03-05 20:38:03 UTC
FEDORA-2021-5fb8bd8258 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5fb8bd8258

Comment 4 Fedora Update System 2021-03-05 20:38:46 UTC
FEDORA-2021-85087f8a70 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-85087f8a70

Comment 5 Fedora Update System 2021-03-10 00:25:30 UTC
FEDORA-2021-85087f8a70 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-03-10 00:42:02 UTC
FEDORA-2021-5fb8bd8258 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-03-19 17:42:21 UTC
FEDORA-2021-250d2ca9e6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-19 19:58:44 UTC
FEDORA-2021-250d2ca9e6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.